package com.hzya.frame.sys.roleModule.dao;

import com.hzya.frame.sys.roleModule.entity.RoleModule;
import java.util.List;

/**
 * @description: 角色菜单  dao
 * @tableName: sys_role_module
 * @entityName: RoleModule
 * @author: gjh
 * @history: 1.0
 */
public interface IRoleModuleMapper {

        //通过ID获取数据    entity_get
        RoleModule entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<RoleModule> entity_list_base(RoleModule entity);

        //  查询符合条件的数量
        Integer entity_count(RoleModule entity);

        //分页查询列表 采用like格式 entity_list_like
        List<RoleModule> entity_list_like(RoleModule entity);

        //查询列表 字段采用or格式   entity_list_or
        List<RoleModule> entity_list_or(RoleModule entity);

        //新增  entity_insert
        RoleModule entity_insert(RoleModule entity);

        //修改  entity_update
        Integer entity_update(RoleModule entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(RoleModule entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(RoleModule entity);

        //物理删除
        Integer entity_delete(RoleModule entity);


    List<RoleModule> getByUserId(RoleModule roleModule);
}
